# Wizard Kit: Reset Browsers

import os
import sys

# Init
os.chdir(os.path.dirname(os.path.realpath(__file__)))
sys.path.append(os.getcwd())
from functions.browsers import *
from functions.cleanup import *
from functions.setup import *
init_global_vars()
os.system('title {}: Browser Reset Tool'.format(KIT_NAME_FULL))
set_log_file('Browser Reset ({USERNAME}).log'.format(**global_vars['Env']))
D7_MODE = 'd7mode' in sys.argv

if __name__ == '__main__':
    try:
        stay_awake()
        clear_screen()
        print_info('{}: Browser Reset\n'.format(KIT_NAME_FULL))
        other_results = {
            'Warning': {
                'NotInstalledError': 'Not installed',
                'NoProfilesError': 'No profiles found',
            }}

        # Bail early
        if not D7_MODE and not ask('Reset browsers to safe defaults first?'):
            exit_script()

        # Scan for supported browsers
        print_info('Scanning for browsers')
        scan_for_browsers(skip_ie=True)

        # Homepages
        print_info('Current homepages')
        list_homepages()

        # Backup
        print_info('Backing up browsers')
        backup_browsers()

        # Reset
        print_info('Resetting browsers')
        reset_browsers()

        # Done
        exit_script()
    except SystemExit as sys_exit:
      exit_script(sys_exit.code)
    except:
        major_exception()
